<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>StudentAttendanceBC</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-list>
      <form  #BCForm="ngForm" >
        <ion-item>
          <ion-button expand="full" (click)="ScanBarCode()">Scan Student ID Card</ion-button>
        </ion-item>
        
        <ion-item>
          <ion-card>
            <ion-card-header>
                Scanned Students
            </ion-card-header>
            <ion-card-content>
              <ng-container *ngIf="scannedStudentList.Id.length !== 0">
                <ion-item *ngFor="let item of scannedStudentList.Name; let i = index">
                  {{ item }}
                  <ion-button (click)="DeleteCurrentRow(i)" slot="end">Delete</ion-button>
                </ion-item>
              </ng-container>
              
              <ng-container *ngIf="scannedStudentList.Id.length === 0">
                Please press the "Scan Student ID Card" button <br> to scan the student ID card
              </ng-container>
              
            </ion-card-content>
          </ion-card>
        </ion-item>
        <ion-radio-group [(ngModel)]="pick" required name="pick">
          <ion-item>
            <ion-label>Check-In</ion-label>
            <ion-radio slot="start" value="true" checked></ion-radio>
          </ion-item>
          <ion-item>
            <ion-label>Check-Out</ion-label>
            <ion-radio slot="start" value="false"></ion-radio>
          </ion-item>
        </ion-radio-group>
        
        <ion-item>
          <ion-button type="submit" (click)="SendStudentAtt()" expand="full" [disabled]="!BCForm.form.valid || scannedStudentList.Id.length == 0">
            Save Student Attendance
          </ion-button>
        </ion-item>
        
      </form>
    </ion-list>
</ion-content>